Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class UserException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException

All Implemented Interfaces:
  IDLEntity, Serializable

Direct Known Subclasses:
  AlreadyBound, BadKind, Bounds, Bounds, CannotProceed, InconsistentTypeCode, Invalid, InvalidName, InvalidName, InvalidSeq, InvalidValue, NotEmpty, NotFound, PolicyError, TypeMismatch, UnknownUserException, WrongTransaction

public abstract class UserException
extends Exception
implements IDLEntity

The root class for CORBA IDL-defined user exceptions. All CORBA user exceptions are checked exceptions, which means that they need to be declared in method signatures.

See Also:
  documentation on Java IDL exceptions, Serialized Form

Constructor Summary
`protected` | `UserException()` Constructs a `UserException` object.
`protected` | `UserException(String reason)` Constructs a `UserException` object with a detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserException

    protected UserException()

  Constructs a `UserException` object. This method is called only by subclasses.

### UserException

    protected UserException(String reason)

  Constructs a `UserException` object with a detail message. This method is called only by subclasses.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.